I can't start Apache

Problems with the Windows version of XAMPP, questions, comments, and anything related.

I can't start Apache

Postby Nav6 » 03. February 2020 05:35

I get this log every time I try to start up Apache. I tried changing the port and starting the app as an admin but none of these methods helped.

XX:XX:XX [Apache] Status change detected: running
XX:XX:XX [Apache] Status change detected: stopped
XX:XX:XX [Apache] Error: Apache shutdown unexpectedly.
XX:XX:XX [Apache] This may be due to a blocked port, missing dependencies,
XX:XX:XX [Apache] improper privileges, a crash, or a shutdown by another method.
XX:XX:XX [Apache] Press the Logs button to view error logs and check
XX:XX:XX [Apache] the Windows Event Viewer for more clues
XX:XX:XX [Apache] If you need more help, copy and post this
XX:XX:XX [Apache] entire log window on the forums
Nav6
 
Posts: 2
Joined: 03. February 2020 05:01
XAMPP version: 7.4.1-1
Operating System: Windows 10

Re: I can't start Apache

Postby Nav6 » 03. February 2020 20:49

Since trying to change the ports i've reinstalled Xampp. I tried to run Apache again and got the same error. Here's the error log i got from it.

[Mon Feb 03 13:57:33.189499 2020] [ssl:warn] [pid 20032:tid 596] AH01909: www.example.com:443:0 server certificate does NOT include an ID which matches the server name
[Mon Feb 03 13:57:33.278047 2020] [core:warn] [pid 20032:tid 596] AH00098: pid file C:/xampp/apache/logs/httpd.pid overwritten -- Unclean shutdown of previous Apache run?
[Mon Feb 03 13:57:33.283221 2020] [ssl:warn] [pid 20032:tid 596] AH01909: www.example.com:443:0 server certificate does NOT include an ID which matches the server name
PHP Warning: 'vcruntime140.dll' 14.0 is not compatible with this PHP build linked with 14.16 in Unknown on line 0
[Mon Feb 03 13:57:33.288213 2020] [:emerg] [pid 20032:tid 596] AH00020: Configuration Failed, exiting
Nav6
 
Posts: 2
Joined: 03. February 2020 05:01
XAMPP version: 7.4.1-1
Operating System: Windows 10

Re: I can't start Apache

Postby FrankC » 04. February 2020 08:36

Have you gone over this page: viewtopic.php?f=16&t=69784#p239058 ?
FrankC
 
Posts: 41
Joined: 23. October 2011 03:57
Location: The city of cities
XAMPP version: 7.4
Operating System: Win 10 Pro

Re: I can't start Apache

Postby Altrea » 04. February 2020 09:07

Nav6 wrote:PHP Warning: 'vcruntime140.dll' 14.0 is not compatible with this PHP build linked with 14.16 in Unknown on line 0
[Mon Feb 03 13:57:33.288213 2020] [:emerg] [pid 20032:tid 596] AH00020: Configuration Failed, exiting

Seems like you need to install Visual C++ Redistributable for Visual Studio 2019 first.
We don't provide any support via personal channels like PM, email, Skype, TeamViewer!

It's like porn for programmers 8)
User avatar
Altrea
AF Moderator
 
Posts: 10730
Joined: 17. August 2009 13:05
XAMPP version: several
Operating System: Windows 10 Pro x64

Re: I can't start Apache

Postby marlonlp » 06. April 2020 13:45

Hi,

I have same problem and Visual C++ Redistributable for Visual Studio 2019 is already installed.
marlonlp
 
Posts: 1
Joined: 06. April 2020 13:43
XAMPP version: 3.2.4
Operating System: Windows 10

Re: I can't start Apache

Postby Altrea » 07. April 2020 05:13

You have gotten the same error message I quoted above? Then you have not installed (the correct version of) Visual C++ Redistributable for Visual Studio 2019ual Studio 2019.

Please double check that you have installed the x64 compilation of it.
We don't provide any support via personal channels like PM, email, Skype, TeamViewer!

It's like porn for programmers 8)
User avatar
Altrea
AF Moderator
 
Posts: 10730
Joined: 17. August 2009 13:05
XAMPP version: several
Operating System: Windows 10 Pro x64

Re: I can't start Apache

Postby vazald » 10. April 2020 10:46

Hi,

I just had the same problem. Download the latest supported Visual C++ here https://support.microsoft.com/en-gb/help/2977003/the-latest-supported-visual-c-downloads install and restart the computer.

If you do not know your system type in Windows 10:

1. Open your Start menu (Windows key), type msinfo32 in the search box, and press Enter.
2. In System Summary on the left side, look to see if your System Type on the right side is either a x64-based PC or a x86-based PC.

Source: https://www.tenforums.com/tutorials/4399-see-if-system-type-32-bit-x86-64-bit-x64-windows-10-a.html

Regards
vazald
 
Posts: 2
Joined: 10. April 2020 10:40
XAMPP version: 3.2.4
Operating System: Windows 10

Re: I can't start Apache

Postby Altrea » 10. April 2020 11:22

vazald wrote:If you do not know your system type in Windows 10:

1. Open your Start menu (Windows key), type msinfo32 in the search box, and press Enter.
2. In System Summary on the left side, look to see if your System Type on the right side is either a x64-based PC or a x86-based PC.

Source: https://www.tenforums.com/tutorials/439 ... -10-a.html

Sorry, but that is not correct.
Which Visual C++ Redistributable to choose is not based on the installed Windows Version, it is based on the compilation platform.
XAMPP only provides x64 Bundles, so it is only runnable on x64 Windows operating systems.
You always need the Visual C++ Redistributable x64 runtimes, never the x86 ones for current XAMPP versions.
We don't provide any support via personal channels like PM, email, Skype, TeamViewer!

It's like porn for programmers 8)
User avatar
Altrea
AF Moderator
 
Posts: 10730
Joined: 17. August 2009 13:05
XAMPP version: several
Operating System: Windows 10 Pro x64

Re: I can't start Apache

Postby vazald » 11. April 2020 11:45

So whats happen if you download and install an old version of XAMPP for x86 machines, and has this problem? You will need to install the x86 visual c++. Unless this problem is only happening in x64.

x86 XAMPP: https://sourceforge.net/projects/xampp/files/XAMPP%20Windows/7.1.24/
vazald
 
Posts: 2
Joined: 10. April 2020 10:40
XAMPP version: 3.2.4
Operating System: Windows 10

Re: I can't start Apache

Postby JJ_Tagy » 11. April 2020 18:03

vazald wrote:So whats happen if you download and install an old version of XAMPP for x86 machines...

That doesn't seem to be the case in this thread. He has XAMPP 7.4 according to his profile.
JJ_Tagy
 
Posts: 786
Joined: 30. January 2012 13:44
XAMPP version: 5.5.15
Operating System: Windows 10 Pro x64


Return to XAMPP for Windows

Who is online

Users browsing this forum: No registered users and 97 guests